"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.isSupported = exports.decideExtension = exports.loadBaseConfig = void 0;
const node_path_1 = __importDefault(require("node:path"));
const lib_1 = require("../lib");
function loadBaseConfig({ config, force }) {
    const cfg = config ? (0, lib_1.loadConfigFromJsonFile)(config) : {};
    return { ...cfg, force };
}
exports.loadBaseConfig = loadBaseConfig;
function decideExtension({ extension, output }) {
    // `path.extname` returns '.xxx' so need to skip '.'.
    const ext = extension || (output && node_path_1.default.extname(output).substring(1));
    return (ext ? lib_1.SUPPORTED_EXTENSIONS.find(e => e === ext) : 'ts') || 'ts';
}
exports.decideExtension = decideExtension;
function isSupported(fileName) {
    // `path.extname` returns '.xxx' so need to skip '.'.
    const ext = node_path_1.default.extname(fileName).substring(1);
    return lib_1.SUPPORTED_EXTENSIONS.some(e => e === ext);
}
exports.isSupported = isSupported;
//# sourceMappingURL=config.js.map