#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const log4js_1 = __importDefault(require("log4js"));
const check_1 = require("./check");
const format_1 = require("./format");
const options_1 = require("./options");
async function main(argv) {
    const options = (0, options_1.processArgv)(argv);
    if (options.help)
        (0, options_1.usage)(0);
    if (options.version)
        (0, options_1.version)(0);
    if (options.log)
        log4js_1.default.getLogger().level = 'debug';
    try {
        if (options.check)
            await (0, check_1.check)(options);
        else
            await (0, format_1.format)(options);
    }
    catch (e) {
        const message = e instanceof Error ? e.message : `${e}`;
        process.stderr.write(message + '\n');
        process.exit(1);
    }
}
main(process.argv);
//# sourceMappingURL=main.js.map