"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    var desc = Object.getOwnPropertyDescriptor(m, k);
    if (!desc || ("get" in desc ? !m.__esModule : desc.writable || desc.configurable)) {
      desc = { enumerable: true, get: function() { return m[k]; } };
    }
    Object.defineProperty(o, k2, desc);
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.prototype.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.isFile = exports.isDirectory = exports.getFiles = void 0;
const node_path_1 = __importStar(require("node:path"));
const fs_extra_1 = __importDefault(require("fs-extra"));
/**
 * {@link https://stackoverflow.com/a/45130990/1736817}
 */
async function* getFiles(dir, noRecursive) {
    const { relativePath: rel, resolvedPath: res } = typeof dir === 'string' ? { relativePath: '', resolvedPath: dir } : dir;
    const entries = await fs_extra_1.default.readdir(res, { withFileTypes: true });
    for (const entry of entries) {
        const relativePath = (rel ? rel + node_path_1.sep : '') + entry.name;
        const resolvedPath = node_path_1.default.resolve(res, entry.name);
        if (entry.isFile())
            yield { relativePath, resolvedPath };
        else if (!noRecursive && entry.isDirectory())
            yield* getFiles({ relativePath, resolvedPath });
    }
}
exports.getFiles = getFiles;
async function isDirectory(filePath) {
    const stat = await fs_extra_1.default.stat(filePath);
    return stat.isDirectory();
}
exports.isDirectory = isDirectory;
async function isFile(filePath) {
    const stat = await fs_extra_1.default.stat(filePath);
    return stat.isFile();
}
exports.isFile = isFile;
//# sourceMappingURL=utils.js.map