import { type Configuration } from './types';
export * from './types';
export * from './merge';
export { loadConfigFromJsonFile, loadImportSorterConfig as resolveConfigForFile, } from './importSorter';
/**
 * Resolve config for given source text.
 *
 * This function will detect EOL for the text and update the base config provided.
 *
 * @typeparam T - A type extended from Configuration
 *
 * @param text - Source text
 * @param config - Base config
 */
export declare function resolveConfigForSource<T extends Configuration = Configuration>(text: string, config?: T): T;
/**
 * Test if a file is excluded by the given config, taking `config.force` flag into account.
 *
 * The file name will be normalized to use `/` as path separator before matching.
 */
export declare function isFileExcludedByConfig(fileName: string, config: Configuration): boolean;
