"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const ComposeLine_1 = __importDefault(require("./ComposeLine"));
const ComposeResult_1 = __importDefault(require("./ComposeResult"));
class AssertPart {
    constructor(asserts, noWrap = false) {
        this.asserts = asserts;
        this.noWrap = noWrap;
    }
    compose(level, { bracket, quote, sComma }) {
        const fields = this.asserts
            .entrySeq()
            .map(([k, v]) => `${k}: ${quote(v)}`)
            .join(', ');
        const line = new ComposeLine_1.default(level, `assert ${bracket(fields + sComma)}`);
        return new ComposeResult_1.default([line], this.noWrap);
    }
    composeWrap(level, config) {
        if (this.noWrap)
            return this.compose(level, config);
        const { mComma, quote } = config;
        const fields = this.asserts
            .entrySeq()
            .map(([k, v]) => `${k}: ${quote(v)}`)
            .toArray()
            .map((v, i, { length }) => (i + 1 < length ? `${v},` : v + mComma))
            .map(v => new ComposeLine_1.default(level + 1, v));
        const s = new ComposeLine_1.default(level, 'assert {');
        const e = new ComposeLine_1.default(level, '}');
        return new ComposeResult_1.default([s, ...fields, e], true);
    }
}
function default_1(asserts, noWrap = false) {
    if (!asserts)
        return undefined;
    return new AssertPart(asserts, noWrap);
}
exports.default = default_1;
//# sourceMappingURL=AssertPart.js.map