"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class ComposeLine {
    constructor(level, text_, sep = ' ') {
        this.level = level;
        this.text_ = text_;
        this.sep = sep;
    }
    text({ tab }) {
        if (this.level < 1 || !this.text_)
            return this.text_ ?? '';
        return tab.repeat(this.level) + this.text_;
    }
    merge(other) {
        if (!this.text_)
            return other;
        if (!other.text_)
            return this;
        return new ComposeLine(other.level, [this.text_, other.text_].join(other.sep));
    }
    length(tabSz) {
        if (!this.text_)
            return 0;
        return this.level * tabSz + this.text_.length;
    }
}
exports.default = ComposeLine;
//# sourceMappingURL=ComposeLine.js.map