"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const no_new_1 = __importDefault(require("@dozerg/no-new"));
const ComposeLine_1 = __importDefault(require("./ComposeLine"));
const ComposeResult_1 = __importDefault(require("./ComposeResult"));
class StringPart {
    constructor(text, noWrap = false) {
        this.text = text;
        this.noWrap = noWrap;
    }
    compose(level) {
        const line = new ComposeLine_1.default(level, this.text);
        return new ComposeResult_1.default([line], this.noWrap);
    }
    composeWrap(level) {
        if (this.noWrap)
            return this.composeWrapFirst(level);
        const nl = new ComposeLine_1.default(level);
        const line = new ComposeLine_1.default(Math.max(level, 1), this.text);
        return new ComposeResult_1.default([nl, line], true);
    }
    composeWrapFirst(level) {
        const line = new ComposeLine_1.default(level, this.text);
        return new ComposeResult_1.default([line], true);
    }
}
exports.default = (0, no_new_1.default)(StringPart);
//# sourceMappingURL=StringPart.js.map