"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.composeComments = exports.composeParts = exports.StringPart = exports.SemiPart = exports.NamedPart = exports.AssertPart = void 0;
const condition_1 = require("@dozerg/condition");
const AssertPart_1 = __importDefault(require("./AssertPart"));
exports.AssertPart = AssertPart_1.default;
const ComposeResult_1 = __importDefault(require("./ComposeResult"));
const NamedPart_1 = __importDefault(require("./NamedPart"));
exports.NamedPart = NamedPart_1.default;
const SemiPart_1 = __importDefault(require("./SemiPart"));
exports.SemiPart = SemiPart_1.default;
const StringPart_1 = __importDefault(require("./StringPart"));
exports.StringPart = StringPart_1.default;
function composeParts(parts, config) {
    const ps = parts.filter(condition_1.isNonNull);
    const result = composePartsImpl(ps, config);
    (0, condition_1.assertNonNull)(result);
    return result.text(config);
}
exports.composeParts = composeParts;
function composePartsImpl(parts, config, result = new ComposeResult_1.default(), forceWrap) {
    if (parts.length < 1)
        return result;
    const [part, ...rest] = parts;
    const { compose: c1, composeWrap: c2, composeWrapFirst: c3 } = part;
    const level = result.level;
    const compose = !forceWrap ? c1 : !result.empty ? c2 ?? c1 : c3 ?? c2 ?? c1;
    const cur = compose.apply(part, [level, config]);
    const { result: newResult, needWrap } = result.merge(cur, config, rest.length < 1);
    if (needWrap) {
        if (!cur.wrapped)
            return composePartsImpl(parts, config, result, true);
        else if (!result.wrapped)
            return undefined;
    }
    return composePartsImpl(rest, config, newResult) ?? composePartsImpl(parts, config, result, true);
}
function composeComments(comments, { nl }) {
    if (!comments || !comments.length)
        return;
    return comments.map(c => c.text).join(nl) + nl;
}
exports.composeComments = composeComments;
//# sourceMappingURL=index.js.map