import { type DeepReadonly } from 'utility-types';
import { type Configuration } from '../../config';
import { type ESLintConfigProcessed } from './eslint';
export type ComposeConfig = DeepReadonly<ReturnType<typeof configForCompose>>;
export declare function configForCompose(config: Configuration, processed?: ESLintConfigProcessed): {
    maxLength: number;
    wrap: {
        withoutDefault: number;
        withDefault: number;
        perLine: number;
        exported: number;
        parts: boolean;
        skipCmt: boolean;
    };
    groupSep: string;
    groupEnd: number;
    tab: string;
    tabw: number;
    quote: (s: string) => string;
    sComma: string;
    mComma: string;
    semi: string;
    bracket: (s: string) => string;
    /**
     * - true: Always insert a final newline
     * - false: Always delete the final newline
     * - _undefined_: Do not insert or delete the final newline
     */
    lastNewLine: boolean | undefined;
    nl: string;
};
