"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.translateNoUselessPathSegmentsRule = void 0;
const config_1 = require("../../../../../config");
const helper_1 = require("../../helper");
const DEFAULT_OPTIONS = { noUselessIndex: false };
function translateNoUselessPathSegmentsRule(config, rules) {
    const options = (0, helper_1.extractOptions)(config, rules, DEFAULT_OPTIONS, 'import/no-useless-path-segments');
    return options === undefined ? { config } : process(config, options);
}
exports.translateNoUselessPathSegmentsRule = translateNoUselessPathSegmentsRule;
function process(config, { noUselessIndex }) {
    const c = (0, config_1.mergeConfig)(config, {
        removeLastSlashInPath: true,
        removeLastIndexInPath: noUselessIndex,
    });
    return { config: c };
}
//# sourceMappingURL=no-useless-path-segments.js.map