"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.translateIndentRule = void 0;
const config_1 = require("../../../../config");
const helper_1 = require("../helper");
const DEFAULT_OPTIONS = 4;
function translateIndentRule(config, rules) {
    const options = (0, helper_1.extractOptions)(config, rules, DEFAULT_OPTIONS, 'indent', '@typescript-eslint/indent');
    if (options === undefined)
        return { config };
    return process(config, options);
}
exports.translateIndentRule = translateIndentRule;
function process(config, options) {
    const c = (0, config_1.mergeConfig)(config, options === 'tab' ? { tabType: 'tab' } : { tabType: 'space', tabSize: options });
    return { config: c };
}
//# sourceMappingURL=indent.js.map