"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.translateMaxLenRule = void 0;
const merge_options_1 = require("@dozerg/merge-options");
const config_1 = require("../../../../config");
const helper_1 = require("../helper");
const DEFAULT_OPTIONS = {
    code: 80,
    tabWidth: 4,
    ignoreTrailingComments: false,
    ignoreComments: false,
};
/**
 * @see https://github.com/daidodo/format-imports-vscode/issues/44#issuecomment-812725174
 */
function translateMaxLenRule(config, rules) {
    const options = (0, helper_1.extractOptions)(config, rules, DEFAULT_OPTIONS, 'max-len');
    return options === undefined ? { config } : process(config, options);
}
exports.translateMaxLenRule = translateMaxLenRule;
function process(config, { code: maxLineLength, tabWidth, ignoreComments, ignoreTrailingComments }) {
    const wrappingStyle = {
        ignoreComments: ignoreComments || ignoreTrailingComments,
    };
    const merger = {
        ...config_1.DEFAULT_MERGER,
        wrappingStyle: (0, merge_options_1.customize)((a, b) => a === 'prettier' || b === 'prettier' ? 'prettier' : { ...a, ...b }),
    };
    const c = (0, merge_options_1.mergeOptions)(merger, config, { maxLineLength, wrappingStyle });
    return { config: c, processed: { tabWidth } };
}
//# sourceMappingURL=max-len.js.map