import { type PromiseType } from 'utility-types';
import { type Configuration } from '../../config';
import { type ComposeConfig } from './compose';
import { type ESLintConfigProcessed } from './eslint';
export interface FormatOptions {
    skipTsConfig?: boolean;
    tsConfigPath?: string;
    skipEslintConfig?: boolean;
    eslintConfigPath?: string;
}
export { type ComposeConfig, type ESLintConfigProcessed };
export type EnhancedConfig = PromiseType<ReturnType<typeof enhanceConfig>>;
export declare function enhanceConfig(config: Configuration, fileName: string, options?: FormatOptions): Promise<{
    config: Configuration;
    tsCompilerOptions: any;
    processed: Partial<{
        tabWidth: number;
    } & {
        groupOrder: import("../../config").FlagSymbol[] | undefined;
        ignoreSorting: boolean;
        aliasFirst: boolean;
    }> | undefined;
    composeConfig: {
        maxLength: number;
        wrap: {
            withoutDefault: number;
            withDefault: number;
            perLine: number;
            exported: number;
            parts: boolean;
            skipCmt: boolean;
        };
        groupSep: string;
        groupEnd: number;
        tab: string;
        tabw: number;
        quote: (s: string) => string;
        sComma: string;
        mComma: string;
        semi: string;
        bracket: (s: string) => string;
        lastNewLine: boolean | undefined;
        nl: string;
    };
}>;
export declare namespace enhanceConfig {
    var sync: (config: Configuration, fileName: string, options?: FormatOptions | undefined) => {
        config: Configuration;
        tsCompilerOptions: any;
        processed: undefined;
        composeConfig: {
            maxLength: number;
            wrap: {
                withoutDefault: number;
                withDefault: number;
                perLine: number;
                exported: number;
                parts: boolean;
                skipCmt: boolean;
            };
            groupSep: string;
            groupEnd: number;
            tab: string;
            tabw: number;
            quote: (s: string) => string;
            sComma: string;
            mComma: string;
            semi: string;
            bracket: (s: string) => string;
            lastNewLine: boolean | undefined;
            nl: string;
        };
    };
}
