"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.enhanceConfig = void 0;
const compose_1 = require("./compose");
const eslint_1 = require("./eslint");
const tsconfig_1 = require("./tsconfig");
async function enhanceConfig(config, fileName, options) {
    const tsCompilerOptions = options?.skipTsConfig
        ? undefined
        : (0, tsconfig_1.loadTsConfig)(fileName, options?.tsConfigPath);
    const { config: newConfig, processed } = options?.skipEslintConfig
        ? { config, processed: undefined }
        : await (0, eslint_1.enhanceWithEslint)(config, fileName, options?.eslintConfigPath);
    const composeConfig = (0, compose_1.configForCompose)(newConfig, processed);
    return { config: newConfig, tsCompilerOptions, processed, composeConfig };
}
exports.enhanceConfig = enhanceConfig;
// Will NOT read ESLint config.
enhanceConfig.sync = (config, fileName, options) => {
    const tsCompilerOptions = options?.skipTsConfig
        ? undefined
        : (0, tsconfig_1.loadTsConfig)(fileName, options?.tsConfigPath);
    const composeConfig = (0, compose_1.configForCompose)(config);
    return { config, tsCompilerOptions, processed: undefined, composeConfig };
};
//# sourceMappingURL=index.js.map