"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class KeepUnused {
    constructor(rules) {
        this.entries_ = rules
            .map(e => (typeof e === 'string' ? { path: e } : e))
            .filter(e => e?.path)
            .map(e => ({ path: new RegExp(e.path), names: e.names?.map(n => new RegExp(n)) }));
    }
    /**
     * Returns a function to determine if a name is kept for the path.
     * Or undefined if no names will be kept.
     */
    forPath(path) {
        const names = this.entries_.filter(e => e.path.test(path)).map(e => e.names);
        if (names.length < 1)
            return undefined;
        return (name) => names.some(n => !n || n.length < 1 || n.some(r => r.test(name)));
    }
}
exports.default = KeepUnused;
//# sourceMappingURL=KeepUnused.js.map