import { type SourceFile } from 'typescript';
import type { Pos, RangeAndEmptyLines } from '../types';
import type ExportNode from './ExportNode';
import type ImportNode from './ImportNode';
export default class ParseParams {
    readonly sourceFile: SourceFile;
    readonly sourceText: string;
    readonly allIds: Set<string>;
    private unhandledImportsOrExports_;
    readonly importNodes: ImportNode[];
    private importsInsertPoint_?;
    prevCommentEnd?: Pos;
    checkFileComments: boolean;
    readonly exportNodes: ExportNode[];
    constructor(sourceFile: SourceFile, sourceText: string);
    get importsInsertPoint(): RangeAndEmptyLines | undefined;
    get unhandled(): number;
    addImport(node: ImportNode | undefined): boolean;
    updateImportInsertPoint(range: RangeAndEmptyLines): void;
    addExport(node: ExportNode | undefined): boolean;
    addUnhandledImportOrExport(): void;
}
