"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const typescript_1 = __importDefault(require("typescript"));
class ParseParams {
    constructor(sourceFile, sourceText) {
        this.allIds = new Set();
        this.unhandledImportsOrExports_ = 0;
        this.importNodes = [];
        this.checkFileComments = true;
        this.exportNodes = [];
        this.sourceFile = sourceFile;
        this.sourceText = sourceText;
        this.prevCommentEnd = shebangEnd(sourceFile, sourceText);
    }
    get importsInsertPoint() {
        return this.importsInsertPoint_;
    }
    get unhandled() {
        return this.unhandledImportsOrExports_;
    }
    addImport(node) {
        if (!node)
            return false;
        this.importNodes.push(node);
        return true;
    }
    updateImportInsertPoint(range) {
        if (this.importsInsertPoint_)
            return;
        this.importsInsertPoint_ = range;
    }
    addExport(node) {
        if (!node)
            return false;
        this.exportNodes.push(node);
        return true;
    }
    addUnhandledImportOrExport() {
        this.unhandledImportsOrExports_++;
    }
}
exports.default = ParseParams;
function shebangEnd(sourceFile, sourceText) {
    const shebang = typescript_1.default.getShebang(sourceText);
    if (!shebang)
        return undefined;
    const pos = shebang.length;
    return { pos, ...sourceFile.getLineAndCharacterOfPosition(pos) };
}
//# sourceMappingURL=ParseParams.js.map