import { type Configuration } from '../../config';
import { type ComposeConfig } from '../config';
import type { NodeComment, RangeAndEmptyLines } from '../types';
export interface StatementArgs {
    range: RangeAndEmptyLines;
    leadingComments?: NodeComment[];
    trailingCommentsText: string;
    config: Configuration;
}
export default class Statement {
    readonly range: RangeAndEmptyLines;
    private leadingComments_?;
    private trailingCommentsText_;
    protected constructor(args: StatementArgs);
    withinDeclRange(pos: number): boolean;
    hasComments(): boolean;
    private get hasLeadingComments();
    private get hasTrailingComments();
    protected composeComments(config: ComposeConfig): {
        leadingText: string;
        followingNewLines: number | undefined;
        trailingText: string;
        tailingLength: number;
    };
    protected canMergeComments(node: Statement): boolean;
    protected mergeComments(node: Statement): boolean;
}
