import { type Comparator } from 'segment-sort';
import { type SortRules } from '../../config';
import { type ImportNode } from '../parser';
import type { NameBinding } from '../types';
export interface Sorter extends SortRules {
    comparePaths?: Comparator;
    compareNames?: Comparator;
}
export declare function sorterFromRules(rules: 'none' | SortRules | undefined): Sorter;
export declare function updateSorterWithRules(sorter: Sorter, rules: 'none' | SortRules | undefined): Sorter;
export declare function compareImportNodesByPaths(a: ImportNode, b: ImportNode, comparePaths: Comparator, compareNames: Comparator | undefined): number;
export declare function compareImportNodesByNames(a: ImportNode, b: ImportNode, comparePaths: Comparator | undefined, compareNames: Comparator, aliasFirst: boolean): number;
export declare function compareBindingName(a: NameBinding, b: NameBinding, compare: Comparator, aliasFirst: boolean): number;
