"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.sortExports = exports.sortImports = exports.SortGroup = exports.sorterFromRules = void 0;
const config_1 = require("../../config");
const parser_1 = require("../parser");
const compare_1 = require("./compare");
Object.defineProperty(exports, "sorterFromRules", { enumerable: true, get: function () { return compare_1.sorterFromRules; } });
const merge_1 = require("./merge");
const SortGroup_1 = __importDefault(require("./SortGroup"));
exports.SortGroup = SortGroup_1.default;
const unused_1 = require("./unused");
function sortImports(nodes, usage, config, sorter, eslint) {
    const { groupRules, keepUnused, sortImportsBy } = config;
    const subGroups = groupRules === undefined ? config_1.GROUP_RULES_DEFAULT : groupRules;
    // The top group must be a match-all group.
    const group = new SortGroup_1.default({ flags: 'all', regex: '', subGroups }, { sorter, sortImportsBy }, eslint);
    const keepUnusedBouncer = keepUnused && new parser_1.KeepUnused(keepUnused);
    const left = (0, unused_1.removeUnusedNames)(nodes, usage, keepUnusedBouncer);
    const merged = (0, merge_1.mergeImportNodes)(left);
    merged.forEach(n => group.add(n));
    return group.sort();
}
exports.sortImports = sortImports;
var merge_2 = require("./merge");
Object.defineProperty(exports, "sortExports", { enumerable: true, get: function () { return merge_2.sortAndMergeExportNodes; } });
//# sourceMappingURL=index.js.map